namespace OSMDatastructure
{
    public enum highwayType : byte
    {
        motorway,
        trunk,
        primary,
        secondary,
        tertiary,
        unclassified,
        residential,
        motorway_link,
        trunk_link,
        primary_link,
        secondary_link,
        tertiary_link,
        living_street,
        service,
        pedestrian,
        track,
        bus_guideway,
        escape,
        raceway,
        road,
        busway,
        footway,
        bridleway,
        steps,
        corridor,
        path,
        via_ferratsa,
        cycleway,
        proposed,
        construction
    }

    public enum footwayType : byte
    {
        sidewalk,
        crossing
    }

    public enum cyclewayType : byte
    {
        lane,
        opposite,
        opposite_lane,
        track,
        opposite_track,
        share_busway,
        opposite_share_busway,
        shared_lane
    }

    public enum sidewalkSide : byte
    {
        both,
        left,
        right,
        no
    }

    public enum buswayType : byte
    {
        lane
    }
}